org.apache.sysds.runtime.lineage

## Class LineageCacheStatistics

- java.lang.Object
- - org.apache.sysds.runtime.lineage.LineageCacheStatistics

-     public class LineageCacheStatistics
      extends Object

  This singleton provides basic lineage caching statistics in CP. Hit statistics for caching (mem, fs, total)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LineageCacheStatistics()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `displayComputeTime()`
    `static String` | `displayFSTime()`
    `static String` | `displayGpuStats()`
    `static String` | `displayHits()`
    `static String` | `displayMultiLevelHits()`
    `static String` | `displayRewrites()`
    `static String` | `displayWtrites()`
    `static long` | `getInstHits()`
    `static long` | `getMemDeletes()`
    `static long` | `getMultiLevelFnHits()`
    `static long` | `getMultiLevelSBHits()`
    `static void` | `incrementDelHits()`
    `static void` | `incrementFSHits()`
    `static void` | `incrementFSReadTime(long delta)`
    `static void` | `incrementFSWrites()`
    `static void` | `incrementFSWriteTime(long delta)`
    `static void` | `incrementFuncHits()`
    `static void` | `incrementGpuAsyncEvicts()`
    `static void` | `incrementGpuHits()`
    `static void` | `incrementGpuSyncEvicts()`
    `static void` | `incrementInstHits()`
    `static void` | `incrementMemDeletes()`
    `static void` | `incrementMemHits()`
    `static void` | `incrementMemWrites()`
    `static void` | `incrementMissedComputeTime(long delta)`
    `static void` | `incrementPRewrites()`
    `static void` | `incrementSavedComputeTime(long delta)`
    `static void` | `incrementSBHits()`
    `static void` | `reset()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LineageCacheStatistics

          public LineageCacheStatistics()

  - ### Method Detail

    - #### reset

          public static void reset()

    - #### incrementMemHits

          public static void incrementMemHits()

    - #### incrementFSHits

          public static void incrementFSHits()

    - #### incrementDelHits

          public static void incrementDelHits()

    - #### incrementInstHits

          public static void incrementInstHits()

    - #### getInstHits

          public static long getInstHits()

    - #### incrementSBHits

          public static void incrementSBHits()

    - #### incrementFuncHits

          public static void incrementFuncHits()

    - #### incrementMemWrites

          public static void incrementMemWrites()

    - #### incrementPRewrites

          public static void incrementPRewrites()

    - #### incrementFSWrites

          public static void incrementFSWrites()

    - #### incrementMemDeletes

          public static void incrementMemDeletes()

    - #### getMemDeletes

          public static long getMemDeletes()

    - #### incrementFSReadTime

          public static void incrementFSReadTime(long delta)

    - #### incrementFSWriteTime

          public static void incrementFSWriteTime(long delta)

    - #### incrementSavedComputeTime

          public static void incrementSavedComputeTime(long delta)

    - #### incrementMissedComputeTime

          public static void incrementMissedComputeTime(long delta)

    - #### getMultiLevelFnHits

          public static long getMultiLevelFnHits()

    - #### getMultiLevelSBHits

          public static long getMultiLevelSBHits()

    - #### incrementGpuHits

          public static void incrementGpuHits()

    - #### incrementGpuAsyncEvicts

          public static void incrementGpuAsyncEvicts()

    - #### incrementGpuSyncEvicts

          public static void incrementGpuSyncEvicts()

    - #### displayHits

          public static String displayHits()

    - #### displayMultiLevelHits

          public static String displayMultiLevelHits()

    - #### displayWtrites

          public static String displayWtrites()

    - #### displayRewrites

          public static String displayRewrites()

    - #### displayFSTime

          public static String displayFSTime()

    - #### displayComputeTime

          public static String displayComputeTime()

    - #### displayGpuStats

          public static String displayGpuStats()

Copyright © 2021 The Apache Software Foundation. All rights reserved.